Subject: two pine problems -- one crash and it LOOKED like it at my mail

From: Matt Ackeret <[email-masked]>
Date: Mon, 12 Aug 2002 13:16:21 -0700 (PDT)

Today I came back after a week on vacation and had two problems with
pine, one on my personal acct, one on my work acct.

On the personal acct, I started up pine, and it crashed and core dumped.
I successfully started up pine again right after that..  I presume it
crashed running filters or something... since there were over 300 new
messages in this mailbox.  This is running pine 4.33 on:
% uname -a
SunOS vax 5.6 sun4u sparc

I'm using IMAP to access the account.

On my work account, I just about died thinking pine had nuked my mail.
I selected new, narrowed to select only recipients "carbon-dev".. that was
around 400 of over 1000 new messages..  saved to another folder..
I went to the other folder, verified the messages were there, went back to
INBOX.. expunged..

Then it showed my INBOX with only the FIRST message in the mailbox,
and the message at the bottom of the screen was "No more messages in folder"
or something like that.

It was in some funky state..  while still in that state, I ran pine again in
another terminal window and my mail was just fine (whew)..  I finally got the
first mail to quit, and at that point it rightfully said:
Pine finished -- Closed folder "INBOX". Kept all 2,568 messages.

This is running pine 4.44, and I'm on Mac OS X 10.2 final.  (Though I think
the pine was compiled way back on 10.1.5)

So basically -- what caused pine to get so confused in these cases?

For the crash, maybe I forget how to use core dumps, because I don't get
any symbols..  I simply did a "core core" and then 'bt'.

(gdb) bt
#0  0xef5c5c84 in ?? ()
#1  0xef5c5b14 in ?? ()
#2  0x188000 in ?? ()
#3  0x1875c4 in ?? ()
#4  0x8c980 in ?? ()
#5  0x1206a4 in ?? ()
#6  0x120bd0 in ?? ()
#7  0x120434 in ?? ()
#8  0x13deec in ?? ()
#9  0x1006bc in ?? ()
#10 0x11ebb0 in ?? ()
#11 0xef5b89e4 in ?? ()
#12 0xef5c5c1c in ?? ()
#13 0xef5c5b14 in ?? ()
#14 0x1ca4d8 in ?? ()
#15 0x1ca798 in ?? ()
#16 0x13e0c0 in ?? ()
#17 0x13e2b0 in ?? ()
#18 0x120978 in ?? ()
#19 0x11f67c in ?? ()
#20 0xef5b89e4 in ?? ()
#21 0xef5c61dc in ?? ()
#22 0xef5c6a94 in ?? ()
#23 0xef5c5c1c in ?? ()
#24 0xef5c5b14 in ?? ()
#25 0x188000 in ?? ()
#26 0x187654 in ?? ()
#27 0x17d5bc in ?? ()
#28 0x181afc in ?? ()
#29 0x181cfc in ?? ()
#30 0x181cfc in ?? ()
#31 0x17ee8c in ?? ()
#32 0x17ece4 in ?? ()
#33 0x12dff4 in ?? ()
#34 0xb6efc in ?? ()
#35 0xaa4e4 in ?? ()
#36 0xa8d08 in ?? ()
#37 0xfbc4c in ?? ()
(gdb) quit

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------